// Top-level build file where you can add configuration options common to all sub-projects/modules.

buildscript {
    ext.kotlin_version = '1.4.0-rc'
    repositories {
        google()
        jcenter()
        mavenCentral()
        maven { url "https://oss.sonatype.org/content/repositories/snapshots/" }
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:4.2.1'
        classpath 'com.jakewharton:butterknife-gradle-plugin:10.2.1'
        classpath 'com.github.dcendents:android-maven-gradle-plugin:2.0'
        classpath "com.alibaba:arouter-register:1.0.2"
        classpath 'com.hujiang.aspectjx:gradle-android-plugin-aspectjx:2.0.6'
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
    subprojects {
        /*重复依赖问题*/
        project.configurations.all {
            resolutionStrategy.eachDependency { details ->
                if (details.requested.group == 'com.android.support'
                        && !details.requested.name.contains('multidex')) {
                    details.useVersion '28.0.0'//这个版本号设置为你想要的版本
                }
                if (details.requested.group == 'com.squareup.okhttp3'
                        && !details.requested.name.contains('okhttp3')) {
                    details.useVersion '4.5.0'//这个版本号设置为你想要的版本
                }
                if (details.requested.group == 'com.squareup.okio'
                        && !details.requested.name.contains('okio')) {
                    details.useVersion '1.15.0'//这个版本号设置为你想要的版本
                }
            }
        }
    }
}

allprojects {
    repositories {
        google()
        jcenter()
        maven {
            url "https://jitpack.io"
        }
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}
ext {
    gCompileSdkVersion = 30
    gMinSdkVersion = 21
    gTargetSdkVersion = 30
    gVersionCode = 9
    gVersionName = '1.0.8'
    gBuildToolsVersion = "29.0.2"
//    gVersionCode=26
//    gVersionName='1.3.0'
    //Router编译版本
    gRouterApiVersion = '1.4.1'
    gRouterCompileVersion = '1.2.2'
    //appcompat
    gAppcompatVersion_v7_28 = '28.0.0'
    //constraint-layout
    gConstraint_layout = '1.1.3'
    //butterknife
    gButterKnifeVersion = '10.2.1'
    //Gson
    gGsonVersion = '2.8.6'
    //Retrofit
    gRetrofitVersion = '2.9.0'
    //Rxjava
    gRxReAdapter = '2.9.0'
    gRxJavaVersion = '3.0.4'
    gRxAndroid = '3.0.0'
    //Okhttp
    gOkHttp3Version = '4.5.0'
    //EventBus
    gEventBus = '2.4.0'
    //ZXing
    gZXingVersion = '3.3.0'
    //视频播放g
    gPlayerVersion = '6.3.1'
    //图片压缩
    gLubanVersion = '1.1.8'
    //Rcyclerview扩展
    gXRecyclerViewVersion = '1.5.9'
    //rxview
    gRxjavaBindingVersion = '2.1.1'
    gPickerViewVersion = '4.1.6'
    wheelVersion = '4.1.0'
    gBoomMenu = '2.1.1'
    gFilePicker = '1.8.0'
    pickerViewVersion = '4.1.9'
    //bottomNavBar
    supportBottomNavBar = '2.0.5'
    eventButsVersion = '3.1.1'
    bannerVersion = '2.0.8'
    plugVersion = '27.1.1'
    pickerViewVersion = '4.1.6'
    xRecyclerViewVersion = '1.5.9'
    lfilepickerlibraryVersion = '1.8.0'
    mIndicatorVersion = '1.5.0'
    lubanVersio = '1.1.8'
    //socket
    gSocket = '4.2.2'
    //Gson
    supportGson = '2.8.5'
    //Glide
    supportGlide = '4.11.0'

    gSmartRefreshLayoutVersion = '2.0.3'
    leonidslibVersion = '1.3.2'
    ijkPlayer = '0.8.8'
    pdfVersion = '2.8.2'
    downloadVersion = '1.7.7'
    //room数据库
    room_version = '2.2.6'
    //popup
    popup_version = '3.1.8'
    //底部导航
    bottomTab = '2.2.0'
    //tablayout
    magicIndicator = '1.7.0'
    //图表
    mpAndroidChart = 'v3.1.0'
}